## 1. FFdataPrep.R
## Fracfocus database - complete dataframe creation
## Andrew Sumner 2-Jan-2020

# Read in all FracFocusRegistry_#.csv files and combine 
# Data available at https://fracfocus.org/data-download

# *IMPORTANT* - set working directory to a folder where FracFocus csv files are downloaded. Only include files named
# "FracFocusRegistry_X" so that those are the sole contents of the directory. Have a separate folder for these scripts
setwd("D:/FracFocusData") # adjust path as appropriate - this is where ONLY the FracFocus csvs are saved
n <- length(list.files()) # record how many csv files are in the folder (this number continues to grow)
FF <- read.csv('FracFocusRegistry_1.csv',as.is=T) # upload first csv, then add subsequent files to the dataframe
for (i in 2:n) {
  file <-  paste('FracFocusRegistry_',i,'.csv', sep= "")
  FFn <- read.csv(file,as.is=T)
  FF <- rbind(FF,FFn)
}

setwd("D:/R") # adjust path as appropriate - back to the folder where these scripts are saved

# *OPTIONAL* - Grab a subset of columns (exclude unimportant/incomplete columns)
# These are the columns I ended up using, feel free to add or subtract as desired
FF1 <-subset(FF, select=c(UploadKey,JobStartDate,JobEndDate, WellName, Latitude, Longitude, Projection, TVD, 
                          TotalBaseWaterVolume, StateName, CountyName, Purpose, IngredientName, 
                          CASNumber, PercentHighAdditive, PercentHFJob, MassIngredient,OperatorName))




# Save final dataframe
write.csv(FF1,file='FF1.csv', row.names=F)

# *IMPORTANT* In the future, simply read the compiled csv file from the directory it is saved in

