## 2. FFdataQC.R
## Fracfocus database QC
## Andrew Sumner 2-Jan-2020
## FF data QA/QC

# The QC measures can be considered optional, but personally helped me quickly remove incomplete or nonsensical entries
# The final step of creating the FFU dataframe is important for the parameter matching steps

# Read in newly compiled csv
FF1 <- read.csv('FF1.csv', as.is=T)

# QC - Eliminate entries without CAS numbers 
FF2 <- (FF1[!is.na(FF1$CASNumber),])

# QC - Eliminate entries with nonsensical ingredient names. Can be easily done going by length because zero, one, and 
# two-character lengthed entries are generally not real (I looked into this
FF3<- FF2[nchar(FF2$IngredientName) > 2,]

## QC - Remove wells w/ coordinates outside US, likely included erroneously
FF4<- FF3[(FF3$Latitude > 25) & (FF3$Latitude < 49) &
          (FF3$Longitude > -125) & (FF3$Longitude < -67),]

# *IMPORTANT* Create a dataframe with each distinct well. Install "dplyr" package if note done already
# install.packages('dplyr')
library(dplyr)
## Create a database of unique wells with other well-specific data
FFU <- distinct(FF3[,c('UploadKey','Latitude','Longitude','JobStartDate','JobEndDate',
                        'WellName','Projection','TotalBaseWaterVolume','StateName',
                        'CountyName','OperatorName')])


